# ListenerFailedException

open class ListenerFailedException : GradleConnectionException

Thrown whenever a listener fails with an exception, which in general implies that the build completed like it should, but that one of the listeners failed with an exception.

#### Since

2.5

## Constructors

ListenerFailedException
Link copied to clipboard
constructor(message: String, failures: List<out Throwable>)

## Properties

cause
Link copied to clipboard
open val cause: Throwable
stackTrace
Link copied to clipboard
open var stackTrace: Array<StackTraceElement>

## Functions

addSuppressed
Link copied to clipboard
fun addSuppressed(p: Throwable)
fillInStackTrace
Link copied to clipboard
open fun fillInStackTrace(): Throwable
getCauses
Link copied to clipboard
open fun getCauses(): List<out Throwable>
getFailures
Link copied to clipboard
open fun getFailures(): List<Failure>
getLocalizedMessage
Link copied to clipboard
open fun getLocalizedMessage(): String
getMessage
Link copied to clipboard
open fun getMessage(): String
getSuppressed
Link copied to clipboard
fun getSuppressed(): Array<Throwable>
initCause
Link copied to clipboard
open fun initCause(p: Throwable): Throwable
printStackTrace
Link copied to clipboard
open fun printStackTrace()
toString
Link copied to clipboard
open fun toString(): String